Reingest Source
既存 URL ソースを再取得して再 Ingest する(設計 Sec4)。 URL を再取得し標準 Ingest 経路を通す。内容が未変更なら SHA256 重複判定で no-op(duplicate=True)となり追加 LLM 課金は発生しない。 テキスト/ファイルソースは元コンテンツを保持しないため再取り込み不可(400)。
POST
/sources/{source_id}/reingestPath parameters
source_idstringrequiredHeader parameters
authorizationstring | anyX-Api-Keystring | anyResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/sources/string/reingest"const response = await fetch("/sources/string/reingest", {
method: "POST"
});import requests
response = requests.post(
"/sources/string/reingest",
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}